ooo-build r13680 - trunk



Author: tml
Date: Tue Aug 26 17:37:29 2008
New Revision: 13680
URL: http://svn.gnome.org/viewvc/ooo-build?rev=13680&view=rev

Log:
2008-08-26  Tor Lillqvist  <tml novell com>

	* autogen.sh. After janneke's change on 2008-04-24, passing
	command line arguments containing spaces, which typically is true
	for --with-lang and --with-poor-help-localizations, on to the
	configure script was broken.

	So test if any of "$@" contain spaces and bail out in that case,
	telling the user to run ./configure separately instead.



Modified:
   trunk/ChangeLog
   trunk/autogen.sh

Modified: trunk/autogen.sh
==============================================================================
--- trunk/autogen.sh	(original)
+++ trunk/autogen.sh	Tue Aug 26 17:37:29 2008
@@ -11,6 +11,23 @@
     exit 1;
 fi
 
+for arg in "$@"; do
+    case "$arg" in
+	*' '*)
+
+	    echo '
+
+This autogen.sh script does not handle command-line arguments
+containing spaces correctly. So if you need to pass such arguments on
+to the configure script that autogen.sh produces, you should run
+autogen.sh first without arguments, then run ./configure with the
+arguments you want.'
+
+	    exit 1
+	    ;;
+    esac
+done
+
 old_args=""
 if test $# -eq 0 && test -f config.log; then
     old_args=`grep '\$ ./configure' config.log | sed -e 's/.*configure //' -e 's/=\(\([^"'"'"'-]\|-[^-]\| \)*\)\( \|$\)/="\1" /g'`



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]